Download it now!
Bug 55380 - Clients of GlobalEventBroadcaster should use DocumentEventBroadcaster/Listener
Summary: Clients of GlobalEventBroadcaster should use DocumentEventBroadcaster/Listener
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0
Keywords: difficultyInteresting, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2012-09-27 08:42 UTC by Stephan Bergmann
Modified: 2016-02-18 16:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Bergmann 2012-09-27 08:42:02 UTC
For backwards compatibility, the implementation of com.sun.star.frame.GlobalEventBroadcaster (sfx2/source/notify/eventsupplier.cxx) still supports the obsolete interfaces com.sun.star.document.XEventBroadcaster and com.sun.star.document.XEventListener.  However, call-sites within the LO code base should be adapted to use the replacements com.sun.star.document.XDocumentEventBroadcaster and com.sun.star.document.XDocumentEventListener, resp.  The relevant places are:

XEventBroadcaster extensions/source/update/ui/updatecheckui.cxx
XEventBroadcaster filter/source/config/cache/lateinitlistener.cxx
XEventBroadcaster filter/source/xsltdialog/xmlfiltertestdialog.cxx
XEventBroadcaster ucb/source/ucp/tdoc/tdoc_docmgr.cxx
XEventListener desktop/source/app/app.cxx
XEventListener sfx2/source/appl/appinit.cxx

(See also the commit message of <http://cgit.freedesktop.org/libreoffice/core/commit/?id=272f0e97b12e634cdf49a1bff45e1b9068af7d9c> "Improvements on previous commit.")
Comment 1 Stephan Bergmann 2012-09-27 08:51:59 UTC
(Once this issue is fixed /and/ we want to become incompatible, the GlobalEventBroadcaster implementation can then be cleaned up, see <https://wiki.documentfoundation.org/index.php?title=Development/LibreOffice4&diff=prev&oldid=55825>.)
Comment 2 Björn Michaelsen 2013-10-04 18:47:52 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 3 d.sikeler94 2014-09-02 09:24:49 UTC
I replaced the calls of obsolete interfaces with the new ones. The file filter/source/config/cache/lateinitlistener.cxx doesn't exist any more.

https://gerrit.libreoffice.org/#/c/11256/
Comment 4 Jorendc 2014-09-02 11:15:23 UTC
Thanks for your patch!
But please do not close this bug report before your patch is reviewed and applied. -> NEW
Comment 5 Jorendc 2014-09-02 11:15:45 UTC
(ps: you can assign yourself in the 'assigned to' field and mark this bug as ASSIGNED).
Comment 6 Commit Notification 2014-09-10 11:50:25 UTC
Daniel Sikeler committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db9cfa672c5944f22ca82a28ed150a5fbae6f5b5

fdo#55380 replaced use of obsolete interfaces



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-16 00:24:19 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyInteresting SkillCpp )
[NinjaEdit]
Comment 8 Robinson Tryon (qubit) 2016-02-18 16:37:27 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]